com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface Filter

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface Filter
      extends RuleModelElement

  A representation of the model object 'Filter'.

  The following features are supported:

  - `Precondition`
  - `Minimum`
  - `Disabled`
  - `Database`
  - `Ruleset`
  - `Opaque Expression`
  - `Logical Variables`
  See Also:
    `RulesheetPackage.getFilter()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getLogicalVariables()` Returns the value of the 'Logical Variables' reference list.
    `OpaqueExpression` | `getOpaqueExpression()` Returns the value of the 'Opaque Expression' containment reference
    `PRuleset` | `getRuleset()` Returns the value of the 'Ruleset' container reference.
    `boolean` | `isDatabase()` Returns the value of the 'Database' attribute
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `boolean` | `isMinimum()` Returns the value of the 'Minimum' attribute
    `boolean` | `isPrecondition()` Returns the value of the 'Precondition' attribute
    `void` | `setDatabase(boolean value)` Sets the value of the '`Database`' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setMinimum(boolean value)` Sets the value of the '`Minimum`' attribute
    `void` | `setOpaqueExpression(OpaqueExpression value)` Sets the value of the '`Opaque Expression`' containment reference
    `void` | `setPrecondition(boolean value)` Sets the value of the '`Precondition`' attribute
    `void` | `setRuleset(PRuleset value)` Sets the value of the '`Ruleset`' container reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isPrecondition

          boolean isPrecondition()

      Returns the value of the 'Precondition' attribute.

      If the meaning of the 'Precondition' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Precondition' attribute.
      See Also:
        `setPrecondition(boolean)`, `RulesheetPackage.getFilter_Precondition()`

    - #### setPrecondition

          void setPrecondition(boolean value)

      Sets the value of the '`Precondition`' attribute.
      Parameters:
        `value` - the new value of the 'Precondition' attribute.
      See Also:
        `isPrecondition()`

    - #### isMinimum

          boolean isMinimum()

      Returns the value of the 'Minimum' attribute.

      If the meaning of the 'Minimum' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Minimum' attribute.
      See Also:
        `setMinimum(boolean)`, `RulesheetPackage.getFilter_Minimum()`

    - #### setMinimum

          void setMinimum(boolean value)

      Sets the value of the '`Minimum`' attribute.
      Parameters:
        `value` - the new value of the 'Minimum' attribute.
      See Also:
        `isMinimum()`

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `RulesheetPackage.getFilter_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### isDatabase

          boolean isDatabase()

      Returns the value of the 'Database' attribute.

      If the meaning of the 'Database' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database' attribute.
      See Also:
        `setDatabase(boolean)`, `RulesheetPackage.getFilter_Database()`

    - #### setDatabase

          void setDatabase(boolean value)

      Sets the value of the '`Database`' attribute.
      Parameters:
        `value` - the new value of the 'Database' attribute.
      See Also:
        `isDatabase()`

    - #### getRuleset

          PRuleset getRuleset()

      Returns the value of the 'Ruleset' container reference. It is bidirectional and its opposite is '`Filters`'.

      If the meaning of the 'Ruleset' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Ruleset' container reference.
      See Also:
        `setRuleset(PRuleset)`, `RulesheetPackage.getFilter_Ruleset()`, `PRuleset.getFilters()`

    - #### setRuleset

          void setRuleset(PRuleset value)

      Sets the value of the '`Ruleset`' container reference.
      Parameters:
        `value` - the new value of the 'Ruleset' container reference.
      See Also:
        `getRuleset()`

    - #### getOpaqueExpression

          OpaqueExpression getOpaqueExpression()

      Returns the value of the 'Opaque Expression' containment reference.

      If the meaning of the 'Opaque Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Opaque Expression' containment reference.
      See Also:
        `setOpaqueExpression(OpaqueExpression)`, `RulesheetPackage.getFilter_OpaqueExpression()`

    - #### setOpaqueExpression

          void setOpaqueExpression(OpaqueExpression value)

      Sets the value of the '`Opaque Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Opaque Expression' containment reference.
      See Also:
        `getOpaqueExpression()`

    - #### getLogicalVariables

          org.eclipse.emf.common.util.EList getLogicalVariables()

      Returns the value of the 'Logical Variables' reference list. The list contents are of type `LogicalVariable`. It is bidirectional and its opposite is '`Filters`'.

      If the meaning of the 'Logical Variables' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Logical Variables' reference list.
      See Also:
        `RulesheetPackage.getFilter_LogicalVariables()`, `LogicalVariable.getFilters()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.